YouTube
Slice a range from a YouTube temp WAV
POST
Cut [start, end] seconds out of the temp WAV and return base64 WAV.
application/json- body
[key: string]?anySuccessful Response
response?unknownapplication/jsoncurl -X POST 'http://127.0.0.1:8100/api/v1/youtube/slice' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
nullDownload YouTube audio for trimming POST
Download a YouTube URL's audio and store it server-side as a temp WAV. Returns {temp_id, duration, title, start_time}. Then POST /api/v1/ youtube/slice with a desired range to get a trimmed clip as base64.
Delete a YouTube temp WAV DELETE
Best-effort cleanup of a temp WAV when the user closes the modal.